# Get inventory
# Dxplaination of Interface Call Request
http请求方式:POST
https://api.weixin.qq.com/product/stock/get?access_token=xxxxxxxxx
# Example of request parameters
{
"product_id": 23423523452345235,
"out_product_id": "1234566",
"sku_id": 1343,
"out_sku_id": "1024",
}
# Examples of back-up
{
"errcode": 0,
"errmsg":"ok",
"data":
{
"stock_num": 100
}
}
# Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
|---|---|---|---|
| product_id | number | no | Mini Store internal product ID, and out_product_id two choice |
| out_product_id | string | no | Choose between product_id and product_id |
| sku_id | number | no | Mini Store internal skuID, or out_sku_id choice |
| out_sku_id | string | no | Merchant custom skuID, and sku_id two choices |
# Dxplaination of callback parameters
| 参数 | type | Introductions |
|---|---|---|
| errcode | number | Error code |
| errmsg | string | Error message |
| data.stock_num | number | Inventory volume |
# Return code
| 返回码 | Error Type |
|---|---|
| 100004 | Sku does not exist |
| 100002 | Product_id does not exist |
| -1 | System exceptions |